Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81938 - System hangs at end of ide-tape related operations
Summary: System hangs at end of ide-tape related operations
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: athlon
OS: Linux
high
high
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-15 15:37 UTC by Gavin Sallery
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-08-01 20:56:46 UTC


Attachments (Terms of Use)

Description Gavin Sallery 2003-01-15 15:37:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.0.0) Gecko/20020530

Description of problem:
When I try to use my tape drive (Seagate Travan 10/20GB IDE), I encounter
reproducible system freezes at the end of whatever tape operation is attempted.
For example, restore -t will start the drive in motion, whirr for a bit (as
normal) but then freeze the system solid at the very moment you expect it to
complete. This also happens with tar, cpio but /not/ mt.

I am accessing the drive using the ide-tape module, on /dev/nht0.

This problem did not occur under RedHat 7.1

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.put tape in drive
2.restore -t
3.Crash
    

Actual Results:  System freeze. Requires reboot.

Expected Results:  Contents of first file on tape should be listed

Additional info:

System is an Athlong 1.2GHz, with Abit KT7A motherboard (VIA chipset)

Comment 1 Pete Zaitcev 2003-01-15 16:48:38 UTC
Something enabled DMA again, it seems. I thought we fixed that in initscripts?
mt does not transfer data blocks, only commands.

As a workaround "hdparm -d 0 /dev/hdc" should work.


Comment 2 Gavin Sallery 2003-01-15 19:49:06 UTC
hdparm -d 0 /dev/hdd does indeed work, so this probably is the DMA bug I'd
thought was fixed. Which init script would you recommend putting the hdparm line in?

Comment 3 Pete Zaitcev 2003-08-01 20:56:46 UTC
I forget if RHL8 had multiply /etc/sysconfig/harddisk*, or only "harddisks".
On RHL 9, copy /etc/sysconfig/harddisks into /etc/sysconfig/harddiskhdd
and edit USE_DMA statement. If RHL8 does not support that, add the command
into /etc/rc.d/rc.local. Editing "harddisks" will kill DMA on disks, so
don't do it.

There were some arguments that ide-tape can be fixed for DMA,
unfortunately it seems there is no way to find which tapes were
broken except white/black lists.


Note You need to log in before you can comment on or make changes to this bug.